org.apache.http.conn

## Interface HttpConnectionFactory<T,C extends org.apache.http.HttpConnection>

All Known Implementing Classes:
  ManagedHttpClientConnectionFactory

    public interface HttpConnectionFactory<T,C extends org.apache.http.HttpConnection>

Generic `HttpConnection` factory.

Since:
  4.3

### Method Summary

Methods
`C` `create(T route, org.apache.http.config.ConnectionConfig config)`

### Method Detail

#### create

    C create(T route,
           org.apache.http.config.ConnectionConfig config)